What firmware are you on?

Discussion in 'Switch - Hacking & Homebrew' started by ceelo, Jul 6, 2017.

?

What firmware are you on?

Poll closed Jul 13, 2017.
  1. Updated to latest 3.0.0 (At the time this thread was made)

    69.8%
  2. Firmware less than 3.0.0

    30.2%
  1. ceelo
    OP

    ceelo GBAtemp Regular

    Member
    251
    58
    Mar 9, 2008
    United States
    Even though there are reports stating exploits are not patched on 3.0, people are still staying below. Others are updating. So I wanted to see what the community is thinking based on their actions. I myself am still on 2.0.0.
     


  2. axiel7

    axiel7 Member

    Newcomer
    13
    3
    Jan 9, 2016
    Spain
    Spain
    3.0.0

    Enviado desde mi Google Pixel mediante Tapatalk
     
    Saiyan Lusitano likes this.
  3. Maximilious

    Maximilious GBAtemp Addict

    Member
    2,096
    883
    Nov 21, 2014
    United States
    I had to update to 2.2 from 2.0 for ARMS, after that I couldn't access eShop without updating (before I could power down the unit and get in after next boot), so now I'm on 3.0 for eShop since I'd rather use my Switch with new games rather than wait months/years for less fun homebrew and hacks.
     
    pikpol likes this.
  4. Saiyan Lusitano

    Saiyan Lusitano GBAtemp Guru

    Member
    5,593
    3,157
    Oct 29, 2015
    Sweden
    On the latest and good reasons to:
    • Pokkén controller support
    • GameCube controller support(ish) (it's recognised as a Pokkén controller)
    • New Zelda DLC
    The Zelda trials on the surface might seem recycled content but they're actually really good, creative and original with the ways they went about it.
     
    The3rdknuckles likes this.
  5. Maximilious

    Maximilious GBAtemp Addict

    Member
    2,096
    883
    Nov 21, 2014
    United States
    Is this via the Wii U to GC converter or with the new USB GC controllers? I'm assuming the latter, but I'll have to try my converter when I get home!
     
  6. StarGazerTom

    StarGazerTom GBAtemp Advanced Fan

    Member
    865
    584
    Feb 2, 2015
    The big hackers said it's cool to update, therefore I've updated. Until they say so, there's no reason not to.

    — Posts automatically merged - Please don't double post! —

    Mayflash adapter, official one doesn't work, otherwise I'd grab one myself.
     
    Saiyan Lusitano likes this.
  7. Saiyan Lusitano

    Saiyan Lusitano GBAtemp Guru

    Member
    5,593
    3,157
    Oct 29, 2015
    Sweden
    The Mayflash one. You'll need to connect it to the PC, update with the driver (takes like a second) on their website and then it'll work.
     
  8. Maximilious

    Maximilious GBAtemp Addict

    Member
    2,096
    883
    Nov 21, 2014
    United States
    Awesome, didn't even know that existed. I don't need GC just yet but I'll have to keep that in mind if Nintendo decides to skimp out on support of the official adapter.
     
  9. Thelonewolf88

    Thelonewolf88 GBAtemp Regular

    Member
    199
    128
    Jun 11, 2016
    United States
    V2.00 for now
     
  10. Crusard

    Crusard GBAtemp Regular

    Member
    147
    543
    Jan 22, 2015
    I buy a switch 3 days ago at Amazon.de, it come with 2.1, but i updated it to 3.0 (Because Zelda XD)
     
  11. Reyn_the_Insane

    Reyn_the_Insane Mega Man Fanatic

    Member
    264
    110
    Feb 1, 2017
    United States
    OVAH DEAH!
    I'm just kinda wondering why anyone would stay below the current firmware. Just get another Switch (IF) and keep that on a lower firmware for hacking, and then update your current Switch if you're so desperate for homebrew.
     
  12. Arkangelshadow

    Arkangelshadow Member

    Newcomer
    30
    29
    Jun 6, 2013
    Mexico
    2.3 for arms, will update if splatoon force us to.
     
  13. Thelonewolf88

    Thelonewolf88 GBAtemp Regular

    Member
    199
    128
    Jun 11, 2016
    United States
    I'am because my Switch console is not my main one of choice at the moment and Zelda is the only game, i'm taking my time with right now (not bothered about DLC content or other titles at present).

    What you say is what I already do (one for exploits, one for legit use), as I have 3 - 4 of the same console for the past 20 + years, as I'm a collector.
     
  14. proflayton123

    proflayton123 Undeclared Shitposter 2.1

    Member
    5,811
    2,165
    Jan 11, 2016
    Japan
    日本
    1.0 because originality
     
  15. alepman90

    alepman90 GBAtemp Regular

    Member
    232
    123
    Oct 10, 2014
    If Splatoon 2 require 3.0.0 or more we all gonna update it
     
  16. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,107
    5,178
    Mar 17, 2010
    Norway
    Alola
    3.0, I was already on 2.1 anyway and there are only upsides to updating to 3.0.
     
  17. MisterAlex

    MisterAlex Member

    Newcomer
    36
    5
    Dec 25, 2006
    United States
    I got the initial update so I could use a microSD card, but I haven't updated any further yet. Disgaea will take me a while yet, so I don't have any need to update.

    Pokkén was a big disappointment on the Wii U. Unless there's some significant overhaul, it'll be a portable disappointment on the Switch.
    I've got the BotW DLC on my Wii U, and it's okay. Nothing to write home about. Certainly nothing I'd trade for moddability if it were available.
     
  18. Yami Anubis ZX

    Yami Anubis ZX Advanced Member

    Newcomer
    82
    26
    Mar 20, 2016
    United States
    I was on 2.0 yesterday and decided what the heck as i wanted to play my Arms copy and i got BOTW DLC half off due to a Prime deal, so i updated to 3.0, plus Pegaswitch works on 3.0 as the hackers have said, sometimes i do think i make mistakes and i feel like i made a mistake updating but i noticed with previous systems, whether there handhelds or consoles, hackers always say to update to latest firmmware for the hack to work, so i updated.

    i actually kept my PSVita at 2.0 for the VHBL hack till they announced Henkaku and when they did, they said to update to latest firmware, which was 3.60 at the time.

    We just gotta be patient.
     
  19. iAqua

    iAqua GBAtemp Addict

    Member
    GBAtemp Patron
    iAqua is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    2,754
    2,268
    Dec 7, 2015
    Antarctica
    I'm on 3.0 because hacking really isn't my biggest concern with the switch right now.
     
  20. Sonic Angel Knight

    Sonic Angel Knight GBAtemp Legend

    Member
    10,032
    5,079
    May 27, 2016
    United States
    New York
    Latest firmware 3.0. I need my Blaster Master Zero DLC! :wub: